jQuery(document).ready(function($) {
    // Предотвратяване на drag & drop на изображения
    $('img').on('dragstart', function(event) {
        event.preventDefault();
    });

    // Предотвратяване на десен бутон върху изображения
    $(document).on('contextmenu', 'img', function(event) {
        event.preventDefault();
    });

    // Предотвратяване на клавишни комбинации
    $(document).on('keydown', function(event) {
        // Ctrl+S, Ctrl+U, Ctrl+P, PrtSc
        if (
            (event.ctrlKey && (
                event.keyCode === 83 || // Ctrl+S
                event.keyCode === 85 || // Ctrl+U
                event.keyCode === 80    // Ctrl+P
            )) ||
            event.keyCode === 44        // PrtSc
        ) {
            event.preventDefault();
            return false;
        }
    });

    // Допълнителна защита на копирането за определени браузъри
    $(document).on('copy', function(e) {
        e.preventDefault();
        var clipboardData = e.originalEvent.clipboardData || window.clipboardData;
        clipboardData.setData('text/plain', contentProtectionVars.replacementText);
    });
});